Bug 199914 - net/dhcpcd: Update to 6.8.2
Summary: net/dhcpcd: Update to 6.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-04 08:35 UTC by takefu
Modified: 2015-06-07 17:34 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
dhcpcd.patch (1.61 KB, text/x-c)
2015-05-04 08:35 UTC, takefu
koobs: maintainer-approval+
Details
Poudriere Build Logs from 10.1-RELEASE-p10 amd64 (19.25 KB, text/x-log)
2015-05-30 02:00 UTC, Jason Unovitch
no flags Details
net/dhcpcd fix pkg-descr www link (408 bytes, patch)
2015-06-04 00:49 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2015-05-04 08:35:10 UTC
Created attachment 156321 [details]
dhcpcd.patch

Update 6.8.2
Comment 1 roy 2015-05-25 08:07:12 UTC
Looks good to me!
Comment 2 Jason Unovitch freebsd_committer 2015-05-30 02:00:24 UTC
Created attachment 157274 [details]
Poudriere Build Logs from 10.1-RELEASE-p10 amd64

Also build tested on all supported releases (see trimmed `poudriere jail -l`):
8.4-RELEASE-p28      amd64
8.4-RELEASE-p28      i386
9.3-RELEASE-p14      amd64
9.3-RELEASE-p14      i386
10.1-RELEASE-p10     amd64
10.1-RELEASE-p10     i386
11.0-CURRENT r282869 amd64
11.0-CURRENT r282869 i386

No issues noted from `poudriere testport` runs.  Is there anything else needed for 'needs-qa'?
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-31 10:45:47 UTC
No there is not, you're a machine Jason.

Well done & keep up the great work :)
Comment 4 commit-hook freebsd_committer 2015-05-31 19:43:15 UTC
A commit references this bug:

Author: riggs
Date: Sun May 31 19:42:57 UTC 2015
New revision: 388158
URL: https://svnweb.freebsd.org/changeset/ports/388158

Log:
  Update to upstream release 6.8.2

  PR:		199914
  Submitted by:	takefu@airport.fm
  Approved by:	roy@marples.name (maintainer)

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/distinfo
  head/net/dhcpcd/files/patch-dhcpcd.conf
Comment 5 Jason Unovitch freebsd_committer 2015-06-02 23:20:24 UTC
Roy,
It looks like the link in pkg-descr has changed.  Does this look about right for a new permanent link?  I noticed this afterwards and I don't like to walk by an issue.  It's an easy fix now while it's still fresh in our minds.

-WWW: http://roy.marples.name/dhcpcd
+WWW: http://roy.marples.name/projects/dhcpcd/index
Comment 6 roy 2015-06-02 23:37:24 UTC
(In reply to Jason Unovitch from comment #5)

The correct link is
http://roy.marples.name/projects/dhcpcd

There was a redirection in place but it doesn't seem to be working ...
Comment 7 Jason Unovitch freebsd_committer 2015-06-04 00:49:56 UTC
Created attachment 157398 [details]
net/dhcpcd fix pkg-descr www link

Roy,
If the redirection isn't in place anymore then it would make sense to fix the bad link.  Patch per your recommendation is attached (and inline since it's short).  If you are good with that then let's get that committed and close the PR.

Index: net/dhcpcd/pkg-descr
===================================================================
--- net/dhcpcd/pkg-descr        (revision 388490)
+++ net/dhcpcd/pkg-descr        (working copy)
@@ -2,4 +2,4 @@
 It can also act as a network manager, responding to new interfaces,
 listening for carrier up/down events and managing routes.
 
-WWW: http://roy.marples.name/dhcpcd
+WWW: http://roy.marples.name/projects/dhcpcd
Comment 8 roy 2015-06-05 10:06:33 UTC
Please fix the bad link ..... I don't know why the redirection is not working atm.
Comment 9 commit-hook freebsd_committer 2015-06-07 17:21:39 UTC
A commit references this bug:

Author: riggs
Date: Sun Jun  7 17:21:32 UTC 2015
New revision: 388738
URL: https://svnweb.freebsd.org/changeset/ports/388738

Log:
  - Correct WWW link in pkg-descr
  - Bump PORTREVISION

  PR:		199914
  Reported by:	jason.unovitch@gmail.com
  Approved by:	roy@marples.name (maintainer)

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/pkg-descr